/*
    Robot Interface
    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    File: network.h
*/


#ifndef NETWORK_H
#define NETWORK_H


#define ROBOT_MOVEMENT          0x30
#define ROBOT_SENSOR_DATA       0x90
#define CAMERA_IMAGE            0x60

#define BUFFER_SIZE 1024

void network_start( HWND hwnd );
void network_stop( void );                        // Stop network subsystem
void network_message(WPARAM wParam, LPARAM lParam);   // Deal with network msg
int network_send(byte *data, unsigned int size);
void network_check( void );

extern bool client_connected;                   // True if client is connected

#endif

